## plymouth 0.9.0

=== debian/changelog ===
plymouth (0.9.0-9) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Add a dependency against init-system-helpers as we are
    explicitly using deb-systemd-helper in the plymouth postinst script
    (Closes: #767937)
  * debian/local/plymouth.hook: Test if the plugin is present on disk before
    trying to copy it to the initramfs (Closes: #767170)
  * debian/control: Reword the package description. (Closes: #768350)
    Thanks to Justin B Rye <justin.byam.rye@gmail.com>
  * debian/local/plymouth.hook: Properly copy .plymouth file into the
    initramfs for themes that are not shipping images, this should fix the
    tribar theme.

  [ Sjoerd Simons ]
  * debian/patches/debian/patches/utils-Don-t-create-unix-sockets-non-blocking.patch:
    + Added. Don't open unix socket connections as non-blocking as the read
    function assume blocking sockets. Fixes plymouth failing to query the
    password from the user  (Closes: #763276)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 17 Nov 2014 22:42:50 +0100

plymouth (0.9.0-8) unstable; urgency=medium

  * Move the script.so from plymouth-themes to the main plymouth package
    (Closes: #764644)
  * debian/patches/drop-systemd-vconsole-setup-service.patch: Remove
    references to systemd-vconsole-setup.service as it isn't shipped in Debian
    (Closes: #755194)
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 26 Oct 2014 01:08:41 +0200

plymouth (0.9.0-7) unstable; urgency=medium

  * Add d/p/libply-splash-core-also-monitor-for-file-removal-in-.patch
    - Correctly detect the end of coldplugging with udev (>= 213)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 10 Aug 2014 10:36:41 +0200

plymouth (0.9.0-6) unstable; urgency=medium

  * New maintainer (Closes: #756075)
  * Move the frame-buffer and drm renderers into the main plymouth package and
    always install them in the initramfs, this should fix the issue where the
    splash is not shown for some users (Closes: #752752)
  * Move the libply-splash-graphics library to the main package and the themes
    related .so files to the -themes package, this is effectively killing the
    -drm package
  * Add debian/watch file
  * debian/rules:
    - Tell dh_makeshlibs to exclude plugins from shlibs file
    - Minimize the runtime dependencies by calling dh_autoreconf with
      --as-needed and passing the same flag to LDFLAGS
    - Pass --disable-silent-rules to the configure
  * debian/control:
    - Fix short description for plymouth-x11 package to please lintian
    - Use ${misc:Pre-Depends} instead of hardcoding multiarch-support package
    - Update the Vcs-* fields
  * debian/local/plymouth.hook: Always copy text.so and details.so in the
    initramfs as they are used as fallbacks
  * Add debian/patches/0009-use-correct-utf8-multibyte-sequence.patch: This
    should fix the character displayed in the text theme (Closes: #756244)
  * Add plymouth-{themes,x11}.postrm: Also regenerate the initramfs when these
    two packages are removed
  * debian/plymouth.dirs: Create /var/lib/plymouth on installation, this
    directory is needed to store boot-duration file
  * debian/plymouth.lintian-overrides: Override
    init.d-script-depends-on-all-virtual-facility, we really want to be the
    last to be started so the splash screen stays until the end of the boot
  * Drop debian/patches/0006-initscript-aliases.patch and use symlinks instead
    to mask the LSB initscripts
  * debian/plymouth.postinst, d/p/0010-revert-systemd-wantedby.patch: The
    WantedBy option in the .service files was useless as they are already
    statically enabled and has been removed, we also need to cleanup i-s-h
    related files on upgrade
  * Add debian/gbp.conf file

 -- Laurent Bigonville <bigon@debian.org>  Wed, 30 Jul 2014 18:08:40 +0200

plymouth (0.9.0-5) unstable; urgency=low

  * I don't care anymore, not worth it.. orphaning.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Jul 2014 16:42:29 +0200

plymouth (0.9.0-4) unstable; urgency=low

  * Dropping old --disable-libkms and --disable-tests configure flags
    (Closes: #752802).
  * Setting no delay for fast booting machines (Closes: #752746).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 26 Jun 2014 19:45:22 +0200

plymouth (0.9.0-3) unstable; urgency=low

  * Dropping drm module in initrd (Closes: #752575).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 25 Jun 2014 00:57:49 +0200

plymouth (0.9.0-2) unstable; urgency=low

  * Adding patch to ignore udev seat tags for the time being (Closes:
    #751726).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 16 Jun 2014 06:40:49 +0200

plymouth (0.9.0-1) unstable; urgency=low

  * Merging upstream version 0.9.0.
  * Refreshing stderr.patch.
  * Refreshing default-theme.patch.
  * Refreshing cmdline.patch.
  * Removing udevadm.patch, not needed anymore.
  * Removing deactive.patch, included upstream.
  * Removing config-parser.patch, included upstream.
  * Refreshing initscript-aliases.patch.
  * Renumbering patches.
  * Adding build-depends to libudev-dev.
  * Adding build-depends to xsltproc.
  * Adding build-depends to docbook-xsl.
  * Ordering removal of unneeded files in rules for more consistency.
  * Including drm module in initrd, thanks to Lukas Anzinger
    <l.anzinger@gmail.com> (Closes: #751275).
  * Adding build-depends to systemd.
  * Keeping building of static libraries.
  * Wrapping configure call in rules.
  * Updating plymouth package contents for new upstream.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 14 Jun 2014 12:48:42 +0200

plymouth (0.8.8-17) unstable; urgency=low

  * Building with dh-autoreconf, thanks to Fernando Seiti Furusato
    <ferseiti@br.ibm.com> (Closes: #748988).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 24 May 2014 11:30:48 +0200

plymouth (0.8.8-16) unstable; urgency=low

  * Depending on fonts-dejavu-core alternatively to ttf-dejavu-core

