=== debian/control ===
Source: plymouth
Section: misc
Priority: optional
Maintainer: Laurent Bigonville <bigon@debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 dh-systemd,
 docbook-xsl,
 libdrm-dev,
 libgtk2.0-dev,
 libpango1.0-dev,
 libpng-dev,
 libudev-dev,
 pkg-config,
 systemd,
 xsltproc,
Standards-Version: 3.9.6
Homepage: http://www.freedesktop.org/wiki/Software/Plymouth
Vcs-Git: git://anonscm.debian.org/collab-maint/plymouth.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/plymouth.git

Package: plymouth
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 initramfs-tools | dracut,
 init-system-helpers (>= 1.18),
Conflicts: console-common
Breaks: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)
Replaces: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)
Suggests:
 desktop-base,
 plymouth-themes
Description: boot animation, logger and I/O multiplexer
 Plymouth provides a boot-time I/O multiplexing framework - the most obvious
 use for which is to provide an attractive graphical animation in place of
 the text messages that normally get shown during boot. (The messages are
 instead redirected to a logfile for later viewing.) However, in event-driven
 boot systems Plymouth can also usefully handle user interaction such as
 password prompts for encrypted file systems.
 .
 This package provides the basic framework, enabling a text-mode animation.

Package: plymouth-x11
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 plymouth (= ${binary:Version}),
Recommends: plymouth-themes
Suggests: gdm
Description: boot animation, logger and I/O multiplexer - X11 renderer and log viewer
 Plymouth provides a boot-time I/O multiplexing framework - the most obvious
 use for which is to provide an attractive graphical animation in place of
 the text messages that normally get shown during boot. (The messages are
 instead redirected to a logfile for later viewing.) However, in event-driven
 boot systems Plymouth can also usefully handle user interaction such as
 password prompts for encrypted file systems.
 .
 This package contains the log viewer and the X11 renderer for a graphical
 boot splash.

Package: plymouth-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends:
 ${misc:Depends},
 plymouth (= ${binary:Version}),
 plymouth-x11 (= ${binary:Version}),
 plymouth-dev (= ${binary:Version}),
 plymouth-themes (>= ${source:Version}),
Description: boot animation, logger and I/O multiplexer - debug symbols
 Plymouth provides a boot-time I/O multiplexing framework - the most obvious
 use for which is to provide an attractive graphical animation in place of
 the text messages that normally get shown during boot. (The messages are
 instead redirected to a logfile for later viewing.) However, in event-driven
 boot systems Plymouth can also usefully handle user interaction such as
 password prompts for encrypted file systems.
 .
 This package contains the debugging symbols.

Package: plymouth-dev
Architecture: linux-any
Depends:
 ${misc:Depends},
 plymouth (= ${binary:Version}),
 plymouth-x11 (= ${binary:Version}),
Description: boot animation, logger and I/O multiplexer - development files
 Plymouth provides a boot-time I/O multiplexing framework - the most obvious
 use for which is to provide an attractive graphical animation in place of
 the text messages that normally get shown during boot. (The messages are
 instead redirected to a logfile for later viewing.) However, in event-driven
 boot systems Plymouth can also usefully handle user interaction such as
 password prompts for encrypted file systems.
 .
 This package contains the development files.

Package: plymouth-themes
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 plymouth (= ${binary:Version}),
 fontconfig-config,
 fonts-dejavu-core | ttf-dejavu-core,
Conflicts:
 plymouth-themes-all,
 plymouth-themes-fade-in,
 plymouth-themes-glow,
 plymouth-themes-script,
 plymouth-themes-solar,
 plymouth-themes-spinfinity,
 plymouth-themes-spinner,
Replaces:
 plymouth-themes-all,
 plymouth-themes-fade-in,
 plymouth-themes-glow,
 plymouth-themes-script,
 plymouth-themes-solar,
 plymouth-themes-spinfinity,
 plymouth-themes-spinner,
 plymouth-drm (<< 0.9.0-6~)
Provides:
 plymouth-theme,
 plymouth-themes-all,
 plymouth-themes-fade-in,
 plymouth-themes-glow,
 plymouth-themes-script,
 plymouth-themes-solar,
 plymouth-themes-spinfinity,
 plymouth-themes-spinner,
Breaks: plymouth-drm (<< 0.9.0-6~)
Description: boot animation, logger and I/O multiplexer - themes
 Plymouth provides a boot-time I/O multiplexing framework - the most obvious
 use for which is to provide an attractive graphical animation in place of
 the text messages that normally get shown during boot. (The messages are
 instead redirected to a logfile for later viewing.) However, in event-driven
 boot systems Plymouth can also usefully handle user interaction such as
 password prompts for encrypted file systems.
 .
 This package provides the following themes:
 .
  * fade-in: features a centered logo that fades in and out while stars twinkle
    around the logo during system boot up.
  * glow: features a pie chart as progress indicator.
  * script: features a simple base theme.
  * solar: features a blue flamed sun with animated solar flares.
  * spinfinity: features a centered logo and animated spinner that spins in the
    shape of an infinity sign.
  * spinner: features a simple theme with a small spinner on a dark background.
