=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,18 @@
 
 # Ensure at build time that the library has no dependencies on undefined
 # symbols, and speed up loading.
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed
+
+# Build with -Werror
+DEB_CFLAGS_MAINT_APPEND  := -Werror -Wno-error=unused-result \
+       -Wno-error=sign-compare
+
+# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	DEB_LDFLAGS_MAINT_APPEND += -Wl,-O0
+else
+	DEB_LDFLAGS_MAINT_APPEND += -Wl,-O1
+endif
 
 %:
 	dh ${@} --parallel --with autoreconf,systemd
@@ -27,15 +38,13 @@
 		--enable-static \
 		--enable-tracing \
 		--disable-gdm-transition \
-		--with-background-color=0x005a8a \
-		--with-gdm-autostart-file \
-		--with-log-viewer \
-		--with-logo=/usr/share/plymouth/debian-logo.png \
+		--with-background-color=0x2c001e \
+		--with-background-start-color-stop=0x2c001e \
+		--with-background-end-color-stop=0x2c001e \
+		--with-logo=/usr/share/plymouth/ubuntu-logo.png \
 		--with-release-file=/etc/os-release \
 		--with-system-root-install \
-		--without-rhgb-compat-link \
-		--with-boot-tty=/dev/tty7 \
-		--with-shutdown-tty=/dev/tty7
+		--without-rhgb-compat-link
 
 override_dh_auto_install:
 	dh_auto_install
@@ -44,6 +53,8 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/plymouth/*.la
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/plymouth/*/*.la
+	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/plymouth/*.a
+	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/plymouth/*/*.a
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
@@ -52,6 +63,15 @@
 	# Moving /usr/lib to /lib
 	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.* debian/tmp/lib/$(DEB_HOST_MULTIARCH)
 
+	mv debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*.so debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+
+	# remove non alternative-based theme policy files and tools
+	rm -f debian/tmp/etc/plymouth/plymouthd.conf
+	rm -f debian/tmp/usr/share/plymouth/plymouthd.defaults
+	rm -f debian/tmp/usr/sbin/plymouth-set-default-theme
+	rm -f debian/tmp/usr/share/man/man1/plymouth-set-default-theme.1
+
 	dh_install --fail-missing
 
 	# Adding initramfs-tools integration
@@ -59,11 +79,16 @@
 	sed -i -e 's|@DEB_HOST_MULTIARCH@|$(DEB_HOST_MULTIARCH)|g' debian/plymouth/usr/share/initramfs-tools/hooks/plymouth
 	install -D -m 0755 debian/local/plymouth.init-premount debian/plymouth/usr/share/initramfs-tools/scripts/init-premount/plymouth
 	install -D -m 0755 debian/local/plymouth.init-bottom debian/plymouth/usr/share/initramfs-tools/scripts/init-bottom/plymouth
+	install -D -m 0755 debian/local/plymouth.panic debian/plymouth/usr/share/initramfs-tools/scripts/panic/plymouth
 
 	# Adding other debian specific files
-	install -D -m 0644 debian/local/debian-logo.png debian/plymouth/usr/share/plymouth/debian-logo.png
+	install -D -m 0644 themes/ubuntu-logo/ubuntu-logo.png debian/plymouth/usr/share/plymouth/ubuntu-logo.png
 	install -D -m 0755 debian/local/plymouth-update-initrd debian/plymouth/usr/lib/$(DEB_HOST_MULTIARCH)/plymouth/plymouth-update-initrd
 	install -D -m 0644 debian/local/plymouth.lsb debian/plymouth/lib/lsb/init-functions.d/99-plymouth
+
+	# Adding ubuntu specific files
+	mkdir -p debian/plymouth/usr/share/apport/package-hooks
+	install -m 644 debian/source_plymouth.apport debian/plymouth/usr/share/apport/package-hooks/source_plymouth.py
 
 override_dh_systemd_start:
 	dh_systemd_start --no-start
@@ -79,7 +104,7 @@
 	# correcting symlink targets
 	for LIB in debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so; \
 	do \
-		dh_link -pplymouth-dev lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink $${LIB})) usr/lib/$(DEB_HOST_MULTIARCH)/$$(basename $${LIB}); \
+		dh_link -plibplymouth-dev lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink $${LIB})) usr/lib/$(DEB_HOST_MULTIARCH)/$$(basename $${LIB}); \
 	done
 
 	dh_link --remaining-packages
