=== debian/watch ===
version=3
http://www.freedesktop.org/software/plymouth/releases/plymouth-(.*).tar.bz2
