## plymouth 0.9.2%2Bmint1%2Bsarah

=== debian/changelog ===
plymouth (0.9.2+mint1+sarah) sarah; urgency=medium

  * Ubuntu-text plugin: Center title and don't show it if it's equal to "None"

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 04 Sep 2016 10:48:07 +0100
