## plymouth 0.9.2-3ubuntu13.1%2B8.0trisquel1

=== debian/changelog ===
plymouth (0.9.2-3ubuntu13.1+8.0trisquel1) flidas; urgency=medium

  * Plymouth themes modified for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Jun 2016 16:46:36 +0000

plymouth (0.9.2-3ubuntu13.1) xenial; urgency=medium

  * Fix hook script to not print warnings about label.so when using the
    ubuntu-text theme.  LP: #1578006.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 May 2016 10:28:16 -0700
