=== debian/control ===
--- 
+++ 
@@ -31,21 +31,21 @@
  initramfs-tools | dracut,
  init-system-helpers (>= 1.18),
 Conflicts: console-common,
-           plymouth-theme-lubuntu-text (<< 0.57~)
+           plymouth-theme-ltrisquel-text (<< 0.57~)
 Breaks: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~),
-        plymouth-theme-ubuntu-logo (<< 0.9.2-3ubuntu1~),
-        plymouth-theme-ubuntu-text (<< 0.9.2-3ubuntu1~),
+        plymouth-theme-trisquel-logo (<< 0.9.2-3ubuntu1~),
+        plymouth-theme-trisquel-text (<< 0.9.2-3ubuntu1~),
         plymouth-theme-edubuntu (<< 15.12.1~),
         plymouth-theme-sability (<< 1.3~),
         plymouth-theme-sabily-text (<< 1.3~),
         plymouth-theme-ubuntustudio (<< 0.50~),
         plymouth-theme-ubuntu-mate-logo (<< 15.12.1~),
         plymouth-theme-ubuntu-mate-text (<< 15.12.1~),
-        plymouth-theme-xubuntu-logo (<< 15.12.1~),
-        plymouth-theme-xubuntu-text (<< 15.12.1~),
-        plymouth-theme-lubuntu-logo (<< 0.57~),
-        plymouth-theme-kubuntu-logo (<< 1:16.04ubuntu1~),
-        plymouth-theme-kubuntu-text (<< 1:16.04ubuntu1~),
+        plymouth-theme-xtrisquel-logo (<< 15.12.1~),
+        plymouth-theme-xtrisquel-text (<< 15.12.1~),
+        plymouth-theme-ltrisquel-logo (<< 0.57~),
+        plymouth-theme-trisquel-mini-logo (<< 1:16.04ubuntu1~),
+        plymouth-theme-trisquel-mini-text (<< 1:16.04ubuntu1~),
         plymouth-theme-ubuntu-gnome-logo (<< 16.04.1~),
         plymouth-theme-ubuntu-gnome-text (<< 16.04.1~),
 Replaces: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~),
@@ -53,7 +53,7 @@
 Suggests:
  desktop-base,
  plymouth-themes,
-Recommends: plymouth-theme-ubuntu-text | plymouth-theme
+Recommends: plymouth-theme-trisquel-text | plymouth-theme
 Description: boot animation, logger and I/O multiplexer
  Plymouth provides a boot-time I/O multiplexing framework - the most obvious
  use for which is to provide an attractive graphical animation in place of
@@ -70,7 +70,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  plymouth (= ${binary:Version}),
-Recommends: plymouth-theme-ubuntu-logo | plymouth-theme
+Recommends: plymouth-theme-trisquel-logo | plymouth-theme
 Suggests: gdm
 Description: boot animation, logger and I/O multiplexer - X11 renderer
  Plymouth provides a boot-time I/O multiplexing framework - the most obvious
@@ -93,8 +93,8 @@
  plymouth-x11 (= ${binary:Version}),
  libplymouth-dev (= ${binary:Version}),
  plymouth-themes (= ${binary:Version}),
- plymouth-theme-ubuntu-logo (= ${binary:Version}),
- plymouth-theme-ubuntu-text (= ${binary:Version}),
+ plymouth-theme-trisquel-logo (= ${binary:Version}),
+ plymouth-theme-trisquel-text (= ${binary:Version}),
  plymouth-label (= ${binary:Version}),
 Description: boot animation, logger and I/O multiplexer - debug symbols
  Plymouth provides a boot-time I/O multiplexing framework - the most obvious
@@ -141,7 +141,6 @@
  ${misc:Depends},
  ${shlibs:Depends},
  plymouth (= ${binary:Version}),
- ttf-ubuntu-font-family,
 Description: boot animation, logger and I/O multiplexer - label control
  Plymouth provides a boot-time I/O multiplexing framework - the most obvious
  use for which is to provide an attractive graphical animation in place of
@@ -208,7 +207,7 @@
     shape of an infinity sign.
   * spinner: features a simple theme with a small spinner on a dark background.
 
-Package: plymouth-theme-ubuntu-logo
+Package: plymouth-theme-trisquel-logo
 Architecture: linux-any
 Depends:
  ${misc:Depends},
@@ -224,9 +223,9 @@
  boot systems Plymouth can also usefully handle user interaction such as
  password prompts for encrypted file systems.
  .
- This package contains the default ubuntu-logo theme.
-
-Package: plymouth-theme-ubuntu-text
+ This package contains the default trisquel-logo theme.
+
+Package: plymouth-theme-trisquel-text
 Architecture: linux-any
 Depends:
  ${misc:Depends},
@@ -242,5 +241,5 @@
  boot systems Plymouth can also usefully handle user interaction such as
  password prompts for encrypted file systems.
  .
- This package contains the default ubuntu-text text theme used when no
+ This package contains the default trisquel-text text theme used when no
  support for a graphical theme is found on your system.
