## plymouth 0.9.2-3ubuntu13.5+8.0trisquel5

=== debian/changelog ===
plymouth (0.9.2-3ubuntu13.5+8.0trisquel5) flidas; urgency=medium

  * Plymouth themes modified for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 29 May 2018 10:31:00 +0000

plymouth (0.9.2-3ubuntu13.5) xenial; urgency=medium

  *debian/patches/misc-changes.patch: Drop call to stop_animation as it would
   unreference a bunch of variables and cause a crash writing a NULL VMA.
   (LP: #927636)

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 May 2018 16:39:09 -0700

plymouth (0.9.2-3ubuntu13.4) xenial; urgency=medium

  * debian/patches/timeout-for-ping.ptach: Don't wait forever for a reply from
    a ping command. (LP: #1705345)

 -- Brian Murray <brian@ubuntu.com>  Mon, 02 Apr 2018 10:55:21 -0700

plymouth (0.9.2-3ubuntu13.3) xenial; urgency=medium

  * Make the lsb-release triggers interest-noawait, so that we don't block
    configuration of an Essential: yes package during upgrades.
    LP: #1750465.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Mar 2018 12:04:31 -0700

plymouth (0.9.2-3ubuntu13.2) xenial; urgency=medium

  * Remove dependency on initramfs-tools | dracut.  LP: #1716825.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Sep 2017 22:25:47 -0700
