=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- initramfs-tools | dracut,
  init-system-helpers (>= 1.18),
 Conflicts: console-common,
            plymouth-theme-ltrisquel-text (<< 0.57~)
@@ -164,7 +163,7 @@
 Conflicts:
  plymouth-themes-all,
  plymouth-themes-fade-in,
- plymouth-themes-glow,
+ plymouth-themes-sugar,
  plymouth-themes-script,
  plymouth-themes-solar,
  plymouth-themes-spinfinity,
@@ -172,7 +171,7 @@
 Replaces:
  plymouth-themes-all,
  plymouth-themes-fade-in,
- plymouth-themes-glow,
+ plymouth-themes-sugar,
  plymouth-themes-script,
  plymouth-themes-solar,
  plymouth-themes-spinfinity,
@@ -182,7 +181,7 @@
  plymouth-theme,
  plymouth-themes-all,
  plymouth-themes-fade-in,
- plymouth-themes-glow,
+ plymouth-themes-sugar,
  plymouth-themes-script,
  plymouth-themes-solar,
  plymouth-themes-spinfinity,
@@ -200,7 +199,7 @@
  .
   * fade-in: features a centered logo that fades in and out while stars twinkle
     around the logo during system boot up.
-  * glow: features a pie chart as progress indicator.
+  * sugar: features a pie chart as progress indicator.
   * script: features a simple base theme.
   * solar: features a blue flamed sun with animated solar flares.
   * spinfinity: features a centered logo and animated spinner that spins in the
@@ -243,3 +242,21 @@
  .
  This package contains the default trisquel-text text theme used when no
  support for a graphical theme is found on your system.
+
+Package: plymouth-theme-sugar
+Architecture: linux-any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ plymouth (= ${binary:Version}),
+ plymouth-label (= ${binary:Version}),
+Provides: plymouth-theme,
+Description: boot animation, logger and I/O multiplexer - sugar theme
+ Plymouth provides a boot-time I/O multiplexing framework - the most obvious
+ use for which is to provide an attractive graphical animation in place of
+ the text messages that normally get shown during boot. (The messages are
+ instead redirected to a logfile for later viewing.) However, in event-driven
+ boot systems Plymouth can also usefully handle user interaction such as
+ password prompts for encrypted file systems.
+ .
+ This package contains the sugar theme.
