=== debian/rules ===
--- 
+++ 
@@ -38,10 +38,10 @@
 		--enable-static \
 		--enable-tracing \
 		--disable-gdm-transition \
-		--with-background-color=0x2c001e \
-		--with-background-start-color-stop=0x2c001e \
-		--with-background-end-color-stop=0x2c001e \
-		--with-logo=/usr/share/plymouth/ubuntu-logo.png \
+		--with-background-color=0x000000 \
+		--with-background-start-color-stop=0x000000 \
+		--with-background-end-color-stop=0x000000 \
+		--with-logo=/usr/share/plymouth/trisquel-logo.png \
 		--with-release-file=/etc/os-release \
 		--with-system-root-install \
 		--without-rhgb-compat-link
@@ -82,7 +82,7 @@
 	install -D -m 0755 debian/local/plymouth.panic debian/plymouth/usr/share/initramfs-tools/scripts/panic/plymouth
 
 	# Adding other debian specific files
-	install -D -m 0644 themes/ubuntu-logo/ubuntu-logo.png debian/plymouth/usr/share/plymouth/ubuntu-logo.png
+	install -D -m 0644 themes/trisquel-logo/trisquel-logo.png debian/plymouth/usr/share/plymouth/trisquel-logo.png
 	install -D -m 0755 debian/local/plymouth-update-initrd debian/plymouth/usr/lib/$(DEB_HOST_MULTIARCH)/plymouth/plymouth-update-initrd
 	install -D -m 0644 debian/local/plymouth.lsb debian/plymouth/lib/lsb/init-functions.d/99-plymouth
